## sbcl 1.4.5

=== tools-for-build/Makefile ===
# This software is part of the SBCL system. See the README file for
# more information.
#
# This software is derived from the CMU CL system, which was
# written at Carnegie Mellon University and released into the
# public domain. The software is in the public domain and is
# provided with absolutely no warranty. See the COPYING and CREDITS
# files for more information.

-include genesis/Makefile.features
-include Config

CPPFLAGS+=-I../src/runtime
LDFLAGS:=$(LDFLAGS)
LDLIBS:=$(OS_LIBS)

all: grovel-headers determine-endianness where-is-mcontext

clean:
	rm -f *.o grovel-headers determine-endianness where-is-mcontext
	rm -f *.exe

=== doc/manual/Makefile ===
SBCLTEXI:=sbcl.texinfo
ASDFTEXI:=asdf.texinfo
DOCFILES:=*.texinfo $(ASDFTEXI)
TMPTYPES:=aux cp cps fn fns ky log pg toc tp tps vr vrs
TMPFILES:=$(foreach target,asdf sbcl,$(foreach type,$(TMPTYPES),$(target).$(type)))
PSFILES=sbcl.ps asdf.ps
PDFFILES=sbcl.pdf asdf.pdf
INFOFILES=sbcl.info asdf.info
HTMLDIRS=$(basename $(SBCLTEXI)) $(basename $(ASDFTEXI))
HTMLFILES=sbcl.html asdf.html
# Place where generated documentation ends up. The value of
# DOCSTRINGDIR has to end with a slash or you lose (it's passed to
# Lisp's `pathname' function).
DOCSTRINGDIR="docstrings/"
CONTRIB_SRC_DIR="../../contrib/"
CONTRIB_OBJ_DIR="../../obj/asdf-cache/"
I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIB_SRC_DIR)

# SBCL_SYSTEM is an optional argument to this make program. If this
# variable is set, its contents are used as the command line for
# invoking SBCL.

# When passing a non-standard SBCL_SYSTEM, be sure to set the
# environment variable SBCL_HOME to a useful value, as well.

ifeq ($(MAKEINFO),)
  MAKEINFO:=makeinfo
endif

ifeq ($(TEXI2PDF),)
  TEXI2PDF:=texi2dvi -p
endif

ifeq ($(DVIPS),)
  DVIPS:=dvips
endif

.PHONY: all
all: $(ASDFTEXI) ps pdf info html

.PHONY: dist
dist: html pdf

asdf.texinfo:
	rm -f asdf.texinfo
	ln -s ../../contrib/asdf/asdf.texinfo

version.texinfo:
	rm -f version.texinfo
	ln -s ../../contrib/asdf/version.texinfo

# html documentation; output in $(HTMLDIRS)
.PHONY: html
html: html-stamp

html-stamp: $(DOCFILES) docstrings
	@rm -rf $(HTMLDIRS)
	@rm -f $(HTMLFILES)
#	$(MAKEINFO) $(I_FLAGS) --html --css-include=style-multi.css $(SBCLTEXI)
#	$(MAKEINFO) --html --css-include=style-multi.css $(ASDFTEXI)
	$(MAKEINFO) $(I_FLAGS) --html --no-split --css-include=style-common.css --css-include=style-single.css $(SBCLTEXI)
	$(MAKEINFO) --html --no-split --css-include=style-common.css --css-include=style-single.css $(ASDFTEXI)
	touch html-stamp

# Postscript documentation
.PHONY: ps
ps: $(PSFILES)

%.ps: %.dvi
	dvips -q -o $@ $<

# DVI generation
%.dvi: %.texinfo $(DOCFILES) docstrings
	texi2dvi -q $(I_FLAGS) $<

# PDF documentation
.PHONY: pdf
pdf: $(PDFFILES)

%.pdf: %.texinfo $(DOCFILES) docstrings
	$(TEXI2PDF) -q $(I_FLAGS) $<

# info docfiles
.PHONY: info
info: $(INFOFILES)

%.info: %.texinfo $(DOCFILES) docstrings
	$(MAKEINFO) $(I_FLAGS) $<

# Texinfo docstring snippets
# Note: assumes contrib module names are the same as the names of
# directories containing the modules, and that these directories
# are in $(CONTRIB_OBJ_DIR).
CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIB_OBJ_DIR)|g") -name '*.fasl')
docstrings: $(CONTRIB_FASLS) tempfiles-stamp
	sh make-tempfiles.sh "$(SBCL_SYSTEM)" "$(DOCSTRINGDIR)" && touch $(DOCSTRINGDIR)

tempfiles-stamp:
	touch tempfiles-stamp

.PHONY: clean
clean:
	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
	rm -f  $(HTMLFILES)
	rm -f contrib-docs.texi-temp
	rm -f package-locks.texi-temp
	rm -f variables.texinfo
	rm -f $(PSFILES) $(PDFFILES) html-stamp tempfiles-stamp
	rm -f $(TMPFILES) $(INDEXFILES)
	rm -f sbcl.info sbcl.info-* asdf.info

.PHONY: distclean
distclean: clean

=== debian/changelog ===
sbcl (2:1.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop kfreebsd-pthread-futex.patch, since kfreebsd-* buildds are gone.
  * Drop powerpc-concurrency-fix.patch, no longer needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 28 Feb 2018 18:30:49 +0100

=== debian/control ===
Source: sbcl
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Christoph Egger <christoph@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Section: lisp
Priority: optional
Build-Depends: debhelper (>= 11),
               sbcl,
               sbcl-source,
               texinfo,
               zlib1g-dev,
               texlive-extra-utils,
               texlive,
               graphviz,
               ghostscript,
               texlive-generic-recommended,
               texlive-font-utils,
               cm-super-minimal,
               time,
               netbase,
               ed
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
Homepage: http://www.sbcl.org

Package: sbcl
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf arm64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: binfmt-support
Suggests: sbcl-doc,
          sbcl-source,
          slime
Breaks: cl-asdf (<< 2:3.1.5)
Provides: lisp-compiler,
          ${sbcl:fasl-version}
Description: Common Lisp compiler and development system
 SBCL is a development environment for the ANSI Common Lisp language.
 It provides a native-code compiler and an integrated debugger, as well
 as all the features in the ANSI specification.
 .
 SBCL also contains other extensions to the ANSI specification, including
 a foreign-function interface, a pseudo-server API, user-extensible
 stream functionality, a Meta-Object Protocol, and an ability to run
 external processes.
 .
 To browse SBCL source definitions with development environments,
 install the sbcl-source package. For documentation on SBCL's usage
 and internals, the package sbcl-doc is provided.

Package: sbcl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for Steel Bank Common Lisp
 This package provides documentation for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The documents in this package cover SBCL-specific extensions to the
 language, explain how to use this Common Lisp implementation and how
 it differs from the ANSI standard.
 .
 The manual about SBCL's internals is also included in this package
 and may be of interest for people who intent to work with SBCL's
 source code.

Package: sbcl-source
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Source code files for SBCL
 This package provides the source code for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The source code is useful in conjunction with development
 environments and debuggers like SLIME, that allow macro expansion and
 lookup of source definitions.
 .
 Installing this package enables your source browser to dig deeply
 into the core of Steel Bank Common Lisp.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

ifeq (,$(BOOTSTRAPLISP))
	BOOTSTRAPLISP := /usr/bin/sbcl --disable-debugger --no-sysinit --no-userinit
endif

FEATURES := --fancy

ifneq (,$(filter kfreebsd-%,$(DEB_HOST_ARCH)))
	FEATURES += --with-os-provides-dlopen --with-sb-pthread-futex
endif

%:
	dh $@

override_dh_auto_configure:
	echo "\"$(DEB_VERSION_UPSTREAM).debian\"" > version.lisp-expr

override_dh_auto_build:
	# Create stage 1
	./make.sh --xc-host="$(BOOTSTRAPLISP)" --prefix=$(CURDIR)/stage1 $(FEATURES)
	./install.sh
	chmod 100 stage1 # Make stage 1 unreadable (only executable), to avoid messing with the stage 2
	./clean.sh

	# Create stage 2
	./make.sh --xc-host="$(CURDIR)/stage1/bin/sbcl --disable-debugger --no-sysinit --no-userinit" --prefix=/usr $(FEATURES)

	# Set the source location in core image
	HOME="$(CURDIR)" src/runtime/sbcl --core output/sbcl.core \
                         --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'

	chmod 700 stage1 # Do not leave stage1 unreadable (to avoid FTBFS on some Ubuntu buildds)

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	make -C doc/internals all html
	cd doc/manual && make docstrings && make
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	{ cd tests && ./run-tests.sh; } || echo "the tests failed"
endif

override_dh_auto_clean:
	-chmod 700 stage1
	rm -rf stage1
	./clean.sh
	rm -f version.lisp-expr

override_dh_auto_install:
	INSTALL_ROOT="$(CURDIR)/debian/tmp/usr" ./install.sh

override_dh_install-arch:
	dh_install -a

	cp debian/binfmt debian/sbcl/usr/share/binfmts/sbcl

override_dh_install-indep:
	dh_install -i

	find debian/sbcl-source/usr/share/sbcl-source -type f \( -name \*.fasl -or -name \*.o -or -name \*.log -or -name \*.so -or -name a.out -or -name LICENSE -or -name COPYING \) -delete
	rm -f debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl \
		debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl.nm

override_dh_gencontrol:
	# Add the FASL version of this release to substvars
	stage1/bin/sbcl --load "debian/fasl-version.lisp"
	dh_gencontrol

=== debian/watch ===
version=4

http://sf.net/sbcl/sbcl-([0-9.]*)-source\.tar\.bz2

## sbcl 1.4.7

=== debian/changelog ===
sbcl (2:1.4.7-1) unstable; urgency=medium

  * New upstream release.
  * armhf-sb-rotate-byte.patch: drop patch, applied upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 01 May 2018 20:58:06 +0200

sbcl (2:1.4.6-2) unstable; urgency=medium

  * armhf-sb-rotate-byte.patch: new patch, fixes FTBFS on armhf.
  * Use stage2 compiler to generate the FASL version number.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 09 Apr 2018 16:57:46 +0200

sbcl (2:1.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Bump to Standards-Version 4.1.4.
  * In d/rules, use --no-sysinit and --no-userinit when calling sbcl, to avoid
    interference from the environment.
  * Reinstate powerpc-concurrency-fix.patch, actually still needed.
  * Reinstate kfreebsd-pthread-futex.patch, now that kfreebsd-* buildds are
    back.
  * Drop dont-split-doc.patch, no longer needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 07 Apr 2018 22:39:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	./make.sh --xc-host="$(CURDIR)/stage1/bin/sbcl --disable-debugger --no-sysinit --no-userinit" --prefix=/usr $(FEATURES)
 
 	# Set the source location in core image
-	HOME="$(CURDIR)" src/runtime/sbcl --core output/sbcl.core \
+	HOME="$(CURDIR)" src/runtime/sbcl --core output/sbcl.core --no-sysinit --no-userinit \
                          --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
 	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'
 
@@ -70,5 +70,5 @@
 
 override_dh_gencontrol:
 	# Add the FASL version of this release to substvars
-	stage1/bin/sbcl --load "debian/fasl-version.lisp"
+	HOME="$(CURDIR)" src/runtime/sbcl --core output/sbcl.core --no-sysinit --no-userinit --load "debian/fasl-version.lisp"
 	dh_gencontrol

## sbcl 1.4.8

=== debian/changelog ===
sbcl (2:1.4.8-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Jun 2018 10:39:07 +0200

## sbcl 1.4.9

=== debian/changelog ===
sbcl (2:1.4.9-1) unstable; urgency=medium

  * New upstream release
  * Make test failures fatal on amd64 and i386
  * Add build-features.lisp-expr to debian/clean

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Jul 2018 16:19:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: sbcl
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
@@ -20,7 +20,7 @@
                time,
                netbase,
                ed
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org

## sbcl 1.4.10

=== debian/changelog ===
sbcl (2:1.4.10-1) unstable; urgency=medium

  * New upstream release
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.2.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Aug 2018 11:46:20 +0200

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,11 @@
                time,
                netbase,
                ed
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org
+Rules-Requires-Root: no
 
 Package: sbcl
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf arm64

## sbcl 1.4.11

=== debian/changelog ===
sbcl (2:1.4.11-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 08 Sep 2018 10:16:48 +0200

## sbcl 1.4.12

=== debian/changelog ===
sbcl (2:1.4.12-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 07 Oct 2018 17:12:44 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                time,
                netbase,
                ed
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org

## sbcl 1.4.13

=== doc/manual/Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 # Lisp's `pathname' function).
 DOCSTRINGDIR="docstrings/"
 CONTRIB_SRC_DIR="../../contrib/"
-CONTRIB_OBJ_DIR="../../obj/asdf-cache/"
 I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIB_SRC_DIR)
 
 # SBCL_SYSTEM is an optional argument to this make program. If this
@@ -88,11 +87,7 @@
 	$(MAKEINFO) $(I_FLAGS) $<
 
 # Texinfo docstring snippets
-# Note: assumes contrib module names are the same as the names of
-# directories containing the modules, and that these directories
-# are in $(CONTRIB_OBJ_DIR).
-CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIB_OBJ_DIR)|g") -name '*.fasl')
-docstrings: $(CONTRIB_FASLS) tempfiles-stamp
+docstrings: tempfiles-stamp
 	sh make-tempfiles.sh "$(SBCL_SYSTEM)" "$(DOCSTRINGDIR)" && touch $(DOCSTRINGDIR)
 
 tempfiles-stamp:

=== debian/changelog ===
sbcl (2:1.4.13-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 28 Oct 2018 17:43:51 +0100

## sbcl 1.4.14

=== debian/changelog ===
sbcl (2:1.4.14-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 30 Nov 2018 11:24:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                sbcl,
                sbcl-source,
                texinfo,

## sbcl 1.4.15

=== debian/changelog ===
sbcl (2:1.4.15-1) unstable; urgency=medium

  * New upstream release
  * Bump to debhelper compat level 12
  * Bump to S-V 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 30 Dec 2018 21:47:13 +0100

## sbcl 1.4.16

=== debian/changelog ===
sbcl (2:1.4.16-2) unstable; urgency=medium

  * Backport bugfixes from 1.5.0
    + coerce-float.patch
    + deduplicate-initargs.patch
    + tree-equal-eql.patch

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 26 Feb 2019 10:08:52 +0100

sbcl (2:1.4.16-1) unstable; urgency=medium

  * New upstream release
  * Replace calls to dpkg-maintscript-helper in maintainer scripts by
    debian/sbcl.maintscript

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Feb 2019 09:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                sbcl,
                sbcl-source,
                texinfo,
@@ -20,7 +20,7 @@
                time,
                netbase,
                ed
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org

## sbcl 1.5.4

=== debian/changelog ===
sbcl (2:1.5.4-1ubuntu1) eoan; urgency=medium

  * Default on armv7 for Ubuntu, since gcc-9 deprecates armv5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2019 11:39:17 +0200

sbcl (2:1.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 06 Jul 2019 15:28:07 +0200

sbcl (2:1.5.3-1) experimental; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2019 19:09:43 +0200

sbcl (2:1.5.2-1) experimental; urgency=low

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 30 Apr 2019 16:49:41 +0200

sbcl (2:1.5.1-1) experimental; urgency=low

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 06 Apr 2019 16:31:57 +0200

sbcl (2:1.5.0-1) experimental; urgency=low

  * New upstream release
  * Drop patches applied upstream
    + coerce-float.patch
    + deduplicate-initargs.patch
    + tree-equal-eql.patch
  * Remove kfreebsd-i386 from the list of supported archs. Bootstrapping
    efforts failed with a bus error (both with clisp and with old sbcl
    binary)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 19 Mar 2019 11:03:53 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Rules-Requires-Root: no
 
 Package: sbcl
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf arm64
+Architecture: i386 amd64 kfreebsd-amd64 powerpc armhf arm64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: binfmt-support

## sbcl 1.5.5

=== debian/changelog ===
sbcl (2:1.5.5-2ubuntu1) eoan; urgency=medium

  * Build-depend on texlive-plain-generic instead of obsolete texlive-
    generic-recommended.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Oct 2019 14:47:35 -0700

sbcl (2:1.5.5-2) unstable; urgency=medium

  * armhf-is-not-v5.patch: add back the -marm flag. (Really closes: #931795)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Aug 2019 16:48:44 +0200

sbcl (2:1.5.5-1) unstable; urgency=medium

  * New upstream release
  * armhf-is-not-v5.patch: new patch, remove ARM-specific GCC flags.
    In particular, this fixes the FTBFS with gcc-9. (Closes: #931795)
  * Bump to S-V 4.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 11 Aug 2019 22:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sbcl
-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
@@ -14,13 +15,13 @@
                texlive,
                graphviz,
                ghostscript,
-               texlive-generic-recommended,
+               texlive-plain-generic,
                texlive-font-utils,
                cm-super-minimal,
                time,
                netbase,
                ed
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org

## sbcl 1.5.7

=== debian/changelog ===
sbcl (2:1.5.7-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: reflect upstream changes
  * alpha.patch: drop patch, applied upstream (Really closes: #939541)
  * Bump to S-V 4.4.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Oct 2019 17:05:11 +0200

sbcl (2:1.5.6-2) unstable; urgency=medium

  * Replace texlive-generic-recommended by texlive-plain-generic in
    Build-Depends (Closes: #939807)
  * Make sbcl arch:any (Closes: #939452)
  * alpha.patch: new patch, fixes an issue on alpha (Closes: #939541)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Sep 2019 16:38:38 +0200

sbcl (2:1.5.6-1) unstable; urgency=medium

  * New upstream release
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Archive.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Sep 2019 10:39:00 +0200

## sbcl 1.5.8

=== debian/changelog ===
sbcl (2:1.5.8-1) unstable; urgency=medium

  * New upstream version 1.5.8

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 Oct 2019 15:29:14 +0200

## sbcl 1.5.9

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 LDFLAGS:=$(LDFLAGS)
 LDLIBS:=$(OS_LIBS)
 
-all: grovel-headers determine-endianness where-is-mcontext
+all: grovel-headers determine-endianness where-is-mcontext mmap-rwx
 
 clean:
-	rm -f *.o grovel-headers determine-endianness where-is-mcontext
+	rm -f *.o grovel-headers determine-endianness where-is-mcontext mmap-rwx
 	rm -f *.exe

=== debian/changelog ===
sbcl (2:1.5.9-1) unstable; urgency=medium

  * New upstream version 1.5.9

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Nov 2019 16:48:05 +0100

## sbcl 2.0.0

=== debian/changelog ===
sbcl (2:2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 31 Dec 2019 16:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sbcl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
@@ -21,14 +20,14 @@
                time,
                netbase,
                ed
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org
 Rules-Requires-Root: no
 
 Package: sbcl
-Architecture: i386 amd64 kfreebsd-amd64 powerpc armhf arm64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: binfmt-support

## sbcl 2.0.1

=== contrib/Makefile ===
vpath %.fasl ../obj/sbcl-home/contrib/

all: asdf.fasl sb-posix.fasl sb-bsd-sockets.fasl sb-introspect.fasl sb-cltl2.fasl \
     sb-aclrepl.fasl sb-sprof.fasl sb-capstone.fasl sb-md5.fasl sb-capstone.fasl \
     sb-executable.fasl sb-gmp.fasl sb-mpfr.fasl sb-queue.fasl sb-rotate-byte.fasl \
     sb-simple-streams.fasl sb-concurrency.fasl sb-cover.fasl
asdf.fasl:
	sh ./build-contrib $(basename $(@F))
sb-grovel.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-rt.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-posix.fasl: asdf.fasl sb-grovel.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-bsd-sockets.fasl: asdf.fasl sb-grovel.fasl sb-posix.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-cltl2.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-aclrepl.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-concurrency.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-sprof.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-introspect.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-capstone.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-md5.fasl: asdf.fasl sb-gmp.fasl sb-rotate-byte.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-cover.fasl: asdf.fasl sb-md5.fasl
	sh ./build-contrib $(basename $(@F))
sb-executable.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-gmp.fasl: asdf.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-mpfr.fasl: asdf.fasl sb-gmp.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))
sb-queue.fasl: asdf.fasl sb-concurrency.fasl
	sh ./build-contrib $(basename $(@F))
sb-rotate-byte.fasl: asdf.fasl
	sh ./build-contrib $(basename $(@F))
sb-simple-streams.fasl: asdf.fasl sb-posix.fasl sb-bsd-sockets.fasl sb-rt.fasl
	sh ./build-contrib $(basename $(@F))

=== debian/changelog ===
sbcl (2:2.0.1-3) unstable; urgency=medium

  * Disable a test in timer.impure that randomly fails. (Closes: #919806)
  * Fail package build if testsuite fails on arm64.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 05 Feb 2020 14:15:59 +0100

sbcl (2:2.0.1-2) unstable; urgency=medium

  * Add Breaks relationships for versions of cl-asdf and cl-cffi that are
    broken by the removal of stuff from *FEATURES*

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Jan 2020 21:40:17 +0100

sbcl (2:2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.5.0
  * Add an autopkgtest that runs the testsuite

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Jan 2020 15:07:45 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                time,
                netbase,
                ed
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org
@@ -34,7 +34,8 @@
 Suggests: sbcl-doc,
           sbcl-source,
           slime
-Breaks: cl-asdf (<< 2:3.1.5)
+Breaks: cl-asdf (<< 2:3.3.3-4~),
+        cl-cffi (<< 1:0.21.0-1~)
 Provides: lisp-compiler,
           ${sbcl:fasl-version}
 Description: Common Lisp compiler and development system

=== debian/rules ===
--- 
+++ 
@@ -42,9 +42,10 @@
 	cd doc/manual && make docstrings && make
 endif
 
+# Run the testsuite, and fail on errors only on amd64, arm64 and i386
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	{ cd tests && ./run-tests.sh; } || echo "the tests failed"
+	{ cd tests && ./run-tests.sh; } || { [ "$(DEB_HOST_ARCH)" != amd64 ] && [ "$(DEB_HOST_ARCH)" != arm64 ] && [ "$(DEB_HOST_ARCH)" != i386 ]; }
 endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Test-Command: cd tests && env TEST_SBCL_HOME=/usr/lib/sbcl TEST_SBCL_RUNTIME=/usr/bin/sbcl TEST_SBCL_CORE=/usr/lib/sbcl/sbcl.core ASDF_OUTPUT_TRANSLATIONS="/:${AUTOPKGTEST_TMP}" ./run-tests.sh
Depends: sbcl, gcc, libc6-dev | libc-dev, ed
Restrictions: allow-stderr

## sbcl 2.0.3

=== debian/changelog ===
sbcl (2:2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Drop powerpc-ppc64el-fix-LINKFLAGS.patch, no longer needed
  * kfreebsd-linkflags.patch: new patch by John Paul Adrian Glaubitz,
    fixes FTBFS on kfreebsd-amd64 (Closes: #955338)
  * Try to build with clisp by default on archs for which sbcl has not
    yet been bootstrapped. Thanks to John Paul Adrian Glaubitz
    (Closes: #954031)
  * hppa.patch: new patch, fixes architecture detection on hppa
  * d/rules: fix architecture detection on ppc64 (Closes: #939453)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Apr 2020 18:51:36 +0200

sbcl (2:2.0.2-2) unstable; urgency=medium

  * powerpc-ppc64el-fix-LINKFLAGS.patch: new patch, fixes FTBFS on ppc64el
    and powerpc. Thanks to John Paul Adrian Glaubitz. (Closes: #953847)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Mar 2020 09:47:16 +0100

sbcl (2:2.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: simplify using debhelper 12.8’s execute_* rules
  * skip-some-autopkgtests.patch: new patch, needed for autopkgtest

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Mar 2020 12:29:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Section: lisp
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               sbcl,
+               debhelper (>= 12.8~),
+               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64el],
+               sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64el],
                sbcl-source,
                texinfo,
                zlib1g-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,21 @@
 
 export DH_VERBOSE=1
 
+# Try to build with clisp by default on archs for which sbcl has not yet been bootstrapped.
+# This list must be kept in sync with the Build-Depends field.
+# As soon as a new arch is bootstrapped, it should be added here.
+# See https://bugs.debian.org/954031
+ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64el, $(DEB_HOST_ARCH)))
+	BOOTSTRAPLISP := clisp
+endif
+
 ifeq (,$(BOOTSTRAPLISP))
 	BOOTSTRAPLISP := /usr/bin/sbcl --disable-debugger --no-sysinit --no-userinit
+endif
+
+# Fix architecture detection on ppc64, see #939453
+ifeq (ppc64,$(DEB_HOST_ARCH))
+	export SBCL_ARCH=ppc64
 endif
 
 FEATURES := --fancy
@@ -57,19 +70,16 @@
 override_dh_auto_install:
 	INSTALL_ROOT="$(CURDIR)/debian/tmp/usr" ./install.sh
 
-override_dh_install-arch:
-	dh_install -a
-
+execute_after_dh_install-arch:
 	cp debian/binfmt debian/sbcl/usr/share/binfmts/sbcl
 
-override_dh_install-indep:
-	dh_install -i
+execute_after_dh_install-indep:
+	find debian/sbcl-source/usr/share/sbcl-source -type f \( -name \*.fasl -or -name \*.o -or -name \*.log -or -name \*.so -or -name *.a -or -name a.out -or -name LICENSE -or -name COPYING \) -delete
+	rm -f debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl \
+		debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl.nm \
+		debian/sbcl-source/usr/share/sbcl-source/src/runtime/shrinkwrap-sbcl \
+		debian/sbcl-source/usr/share/sbcl-source/src/runtime/heap-reloc-test
 
-	find debian/sbcl-source/usr/share/sbcl-source -type f \( -name \*.fasl -or -name \*.o -or -name \*.log -or -name \*.so -or -name a.out -or -name LICENSE -or -name COPYING \) -delete
-	rm -f debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl \
-		debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl.nm
-
-override_dh_gencontrol:
+execute_before_dh_gencontrol:
 	# Add the FASL version of this release to substvars
 	HOME="$(CURDIR)" src/runtime/sbcl --core output/sbcl.core --no-sysinit --no-userinit --load "debian/fasl-version.lisp"
-	dh_gencontrol

## sbcl 2.0.4

=== debian/changelog ===
sbcl (2:2.0.4-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied upstream:
    + powerpc-concurrency-fix.patch
    + kfreebsd-linkflags.patch
    + hppa.patch

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Apr 2020 23:22:04 +0200

## sbcl 2.0.5

=== debian/changelog ===
sbcl (2:2.0.5-1) unstable; urgency=medium

  * New upstream release
  * Bootstrap done on ppc64
  * Bump to debhelper 13
    + in particular, add uninstalled files to debian/not-installed

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 31 May 2020 19:11:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # This list must be kept in sync with the Build-Depends field.
 # As soon as a new arch is bootstrapped, it should be added here.
 # See https://bugs.debian.org/954031
-ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64el, $(DEB_HOST_ARCH)))
+ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el, $(DEB_HOST_ARCH)))
 	BOOTSTRAPLISP := clisp
 endif
 
@@ -57,9 +57,7 @@
 
 # Run the testsuite, and fail on errors only on amd64, arm64 and i386
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	{ cd tests && ./run-tests.sh; } || { [ "$(DEB_HOST_ARCH)" != amd64 ] && [ "$(DEB_HOST_ARCH)" != arm64 ] && [ "$(DEB_HOST_ARCH)" != i386 ]; }
-endif
 
 override_dh_auto_clean:
 	-chmod 700 stage1

## sbcl 2.0.6

=== contrib/sb-grovel/Makefile ===
SYSTEM=sb-grovel
include ../asdf-module.mk

=== doc/manual/Makefile ===
--- 
+++ 
@@ -87,7 +87,7 @@
 	$(MAKEINFO) $(I_FLAGS) $<
 
 # Texinfo docstring snippets
-docstrings: tempfiles-stamp
+docstrings variables.texinfo: tempfiles-stamp
 	sh make-tempfiles.sh "$(SBCL_SYSTEM)" "$(DOCSTRINGDIR)" && touch $(DOCSTRINGDIR)
 
 tempfiles-stamp:

=== debian/changelog ===
sbcl (2:2.0.6-2) unstable; urgency=medium

  * Update Breaks on cl-cffi, since autopkgtest for <= 1:0.21.0 will fail
    against sbcl >= 2:2.0.6-1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 12 Jul 2020 10:18:34 +0200

sbcl (2:2.0.6-1) unstable; urgency=medium

  * New upstream release
  * Add --with-sb-linkable-runtime feature on amd64 and i386 CPUs. Thanks
    to Florian Margaine for the suggestion

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Jul 2020 17:28:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
            Sébastien Villemot <sebastien@debian.org>
 Section: lisp
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
-               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64el],
-               sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64el],
+               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el],
+               sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el],
                sbcl-source,
                texinfo,
                zlib1g-dev,
@@ -37,7 +37,7 @@
           sbcl-source,
           slime
 Breaks: cl-asdf (<< 2:3.3.3-4~),
-        cl-cffi (<< 1:0.21.0-1~)
+        cl-cffi (<< 1:0.22.1-1~)
 Provides: lisp-compiler,
           ${sbcl:fasl-version}
 Description: Common Lisp compiler and development system

## sbcl 2.0.10

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -7,6 +7,10 @@
 # provided with absolutely no warranty. See the COPYING and CREDITS
 # files for more information.
 
+# it is illogical that this makefile pulls in Makefile.features,
+# which is presumed not to exist, and which when it does exist causes
+# confusion as to what flags should be added in for a generic C compile.
+# Why do we do this???
 -include genesis/Makefile.features
 -include Config

=== debian/changelog ===
sbcl (2:2.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Oct 2020 17:56:51 +0100

sbcl (2:2.0.9-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release
  * Remove --with-sb-pthread-futex on kfreebsd-*, this option no longer exists
  * Add strace as a Build-Depends and an autopkgtest Depends, it is needed
    by futex-wait test

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Oct 2020 19:43:29 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,8 @@
                cm-super-minimal,
                time,
                netbase,
-               ed
+               ed,
+               strace [!kfreebsd-amd64 !kfreebsd-i386]
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git

## sbcl 2.0.11

=== contrib/asdf/Makefile ===
DEST=$(SBCL_PWD)/obj/sbcl-home/contrib/
ASDF_FASL=$(DEST)/asdf.fasl
UIOP_FASL=$(DEST)/uiop.fasl
FASL=$(UIOP_FASL) $(ASDF_FASL)
FROB_READTABLE='(setf (sb-ext:readtable-base-char-preference *readtable*) :both)'

fasl:: $(UIOP_FASL) $(ASDF_FASL)
$(UIOP_FASL):: uiop.lisp ../../output/sbcl.core
	mkdir -p $(DEST)
	$(SBCL) --eval $(FROB_READTABLE) --eval '(compile-file #p"SYS:CONTRIB;ASDF;UIOP.LISP" :print nil :output-file (parse-native-namestring "$@"))' </dev/null

$(ASDF_FASL):: asdf.lisp ../../output/sbcl.core $(UIOP_FASL)
	if [ -d asdf-upstream ] ; then rm -rf asdf-upstream ; fi
	mkdir -p $(DEST)
	$(SBCL) --eval $(FROB_READTABLE) --eval '(compile-file #p"SYS:CONTRIB;ASDF;ASDF.LISP" :print nil :output-file (parse-native-namestring "$@"))' </dev/null

install::
	cp $(FASL) "$(BUILD_ROOT)$(INSTALL_DIR)"

test:: $(FASL)
	true

UPSTREAM=../../obj/asdf-upstream
up::
	sh pull-asdf.sh

=== debian/changelog ===
sbcl (2:2.0.11-1) unstable; urgency=medium

  * New upstream release
  * Bump to S-V 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Nov 2020 21:27:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
 endif
 
 FEATURES := --fancy
+
+ifneq (,$(filter amd64 i386, $(DEB_HOST_ARCH_CPU)))
+	FEATURES += --with-sb-linkable-runtime
+endif
 
 ifneq (,$(filter kfreebsd-%,$(DEB_HOST_ARCH)))
 	FEATURES += --with-os-provides-dlopen --with-sb-pthread-futex

## sbcl 2.1.0

=== debian/changelog ===
sbcl (2:2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove --with-sb-linkable-runtime on kfreebsd-*, it is unsupported there

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Jan 2021 11:32:00 +0100

sbcl (2:2.0.11-2) unstable; urgency=medium

  * disable-fcb-threads-test.patch: new patch, disable a test that randomly
    fails on at least i386 and arm64.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 13:47:57 +0100

## sbcl 2.1.1

=== contrib/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	sh ./build-contrib $(basename $(@F))
 sb-capstone.fasl: asdf.fasl sb-rt.fasl
 	sh ./build-contrib $(basename $(@F))
-sb-md5.fasl: asdf.fasl sb-gmp.fasl sb-rotate-byte.fasl sb-rt.fasl
+sb-md5.fasl: asdf.fasl sb-rotate-byte.fasl sb-rt.fasl
 	sh ./build-contrib $(basename $(@F))
 sb-cover.fasl: asdf.fasl sb-md5.fasl
 	sh ./build-contrib $(basename $(@F))

=== debian/changelog ===
sbcl (2:2.1.1-2) unstable; urgency=medium

  * skip-stack-scan-precise-gencgc.patch: new patch from upstream, fixes
    FTBFS on arm64

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 03 Feb 2021 21:37:00 +0100

sbcl (2:2.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 01 Feb 2021 21:23:49 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                netbase,
                ed,
                strace [!kfreebsd-amd64 !kfreebsd-i386]
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 FEATURES := --fancy
 
-ifneq (,$(filter amd64 i386, $(DEB_HOST_ARCH_CPU)))
+ifneq (,$(filter amd64 i386, $(DEB_HOST_ARCH)))
 	FEATURES += --with-sb-linkable-runtime
 endif

## sbcl 2.1.9

=== debian/changelog ===
sbcl (2:2.1.9-1) unstable; urgency=medium

  * New upstream release
  * Use clisp on s390x for bootstrapping, since it now builds there

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Sep 2021 12:24:26 +0200

sbcl (2:2.1.8-1) unstable; urgency=medium

  * New upstream release
  * Add Breaks against cl-nibbles << 20210520.gitdad2524-1~, needed for amd64

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 30 Aug 2021 20:26:50 +0200

sbcl (2:2.1.7-1) unstable; urgency=medium

  * New upstream release
  * skip-stack-scan-precise-gencgc.patch: drop patch, applied upstream
  * Bump S-V to 4.6.0
  * On riscv64, s390x and sh4, try to bootstrap with ecl (since clisp is
    not available there)
  * fix-chill-test.patch: new patch, fixes chill.test.sh in the Debian-specific
    context
  * Remove unused lintian override (hardening-no-pie)
  * Add more fields to d/upstream/metadata
  * sbcl.{postinst,prerm}: replace “which” by “command -v”
  * skip-some-autopkgtests.patch: also skip run-sbcl.test.sh, since it does not
    make sense in an autopkgtest context

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Aug 2021 12:09:46 +0200

## sbcl 2.1.10

=== debian/changelog ===
sbcl (2:2.1.10-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 02 Nov 2021 11:22:02 +0100

## sbcl 2.1.11

=== contrib/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all: asdf.fasl sb-posix.fasl sb-bsd-sockets.fasl sb-introspect.fasl sb-cltl2.fasl \
      sb-aclrepl.fasl sb-sprof.fasl sb-capstone.fasl sb-md5.fasl sb-capstone.fasl \
      sb-executable.fasl sb-gmp.fasl sb-mpfr.fasl sb-queue.fasl sb-rotate-byte.fasl \
-     sb-simple-streams.fasl sb-concurrency.fasl sb-cover.fasl
+     sb-simple-streams.fasl sb-concurrency.fasl sb-cover.fasl sb-graph.fasl
 asdf.fasl:
 	sh ./build-contrib $(basename $(@F))
 sb-grovel.fasl: asdf.fasl
@@ -42,3 +42,5 @@
 	sh ./build-contrib $(basename $(@F))
 sb-simple-streams.fasl: asdf.fasl sb-posix.fasl sb-bsd-sockets.fasl sb-rt.fasl
 	sh ./build-contrib $(basename $(@F))
+sb-graph.fasl: asdf.fasl sb-rt.fasl
+	sh ./build-contrib $(basename $(@F))

=== contrib/asdf/Makefile ===
DEST=$(SBCL_TOP)/obj/sbcl-home/contrib/
ASDF_FASL=$(DEST)/asdf.fasl
UIOP_FASL=$(DEST)/uiop.fasl
FASL=$(UIOP_FASL) $(ASDF_FASL)
FROB_READTABLE='(setf (sb-ext:readtable-base-char-preference *readtable*) :both)'

fasl:: $(UIOP_FASL) $(ASDF_FASL)
$(UIOP_FASL):: uiop.lisp ../../output/sbcl.core
	mkdir -p $(DEST)
	$(SBCL) --eval $(FROB_READTABLE) --eval '(compile-file #p"SYS:CONTRIB;ASDF;UIOP.LISP" :print nil :output-file (merge-pathnames (parse-native-namestring "$@")))' </dev/null

$(ASDF_FASL):: asdf.lisp ../../output/sbcl.core $(UIOP_FASL)
	if [ -d asdf-upstream ] ; then rm -rf asdf-upstream ; fi
	mkdir -p $(DEST)
	$(SBCL) --eval $(FROB_READTABLE) --eval '(compile-file #p"SYS:CONTRIB;ASDF;ASDF.LISP" :print nil :output-file (merge-pathnames (parse-native-namestring "$@")))' </dev/null

install::
	cp $(FASL) "$(BUILD_ROOT)$(INSTALL_DIR)"

test:: $(FASL)
	true

UPSTREAM=../../obj/asdf-upstream
up::
	sh pull-asdf.sh

=== contrib/sb-cover/Makefile ===
SYSTEM=sb-cover
include ../asdf-module.mk

=== contrib/sb-graph/Makefile ===
SYSTEM=sb-graph
include ../asdf-module.mk

=== doc/internals/Makefile ===
ifeq ($(TEXI2PDF),)
  TEXI2PDF:=texi2dvi -p
endif

.PHONY: top clean html all

all: sbcl-internals.pdf sbcl-internals.info

top:
	sh make-top.sh

info: top
	makeinfo sbcl-internals.texinfo

%.eps: %.dot
	dot -Tps -Gsize="5,5" -Gratio=compress -Gconcentrate=true $< > $@

%.png: %.dot
	dot -Tpng -Gsize="5,5" -Gratio=compress -Gconcentrate=true $< > $@

%.txt: %.dot
	# FIXME.
	dot -Tcanon $< > $@

%.pdf: %.eps
	epstopdf $< > $@

sbcl-internals.pdf: top $(patsubst %.dot,%.pdf,$(wildcard *.dot)) *.texinfo
	$(TEXI2PDF) sbcl-internals.texinfo

sbcl-internals.info: top $(patsubst %.dot,%.txt,$(wildcard *.dot)) *.texinfo

html: html-stamp

html-stamp: top $(patsubst %.dot,%.png,$(wildcard *.dot)) *.texinfo
	makeinfo --html sbcl-internals.texinfo 
	# FIXME
	cp -f *.png sbcl-internals
	touch html-stamp
clean: 
	rm -rf *.include *.info *.pdf *~ *.cp *.fn *.ky *.log *.pg *.toc \
		*.tp *.vr *.aux *.eps *.png *.dvi *.ps *.txt *.fns \
		html-stamp sbcl-internals/

=== debian/changelog ===
sbcl (2:2.1.11-1) unstable; urgency=medium

  * New upstream release
  * vop-existsp-test.patch: new patch, fixes test failure

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Dec 2021 11:44:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
-               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el],
+# Arch list to keep in sync with debian/rules
+               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el !riscv64 !sh4],
+               ecl [riscv64 sh4],
                sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el],
                sbcl-source,
                texinfo,
@@ -23,7 +25,7 @@
                netbase,
                ed,
                strace [!kfreebsd-amd64 !kfreebsd-i386]
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org
@@ -38,7 +40,8 @@
           sbcl-source,
           slime
 Breaks: cl-asdf (<< 2:3.3.3-4~),
-        cl-cffi (<< 1:0.22.1-1~)
+        cl-cffi (<< 1:0.22.1-1~),
+        cl-nibbles (<< 20210520.gitdad2524-1~)
 Provides: lisp-compiler,
           ${sbcl:fasl-version}
 Description: Common Lisp compiler and development system

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,17 @@
 
 export DH_VERBOSE=1
 
-# Try to build with clisp by default on archs for which sbcl has not yet been bootstrapped.
-# This list must be kept in sync with the Build-Depends field.
-# As soon as a new arch is bootstrapped, it should be added here.
+# Try to build with clisp by default on archs for which sbcl has not yet been bootstrapped
+# (or with ecl if clisp is not available).
+# Those lists must be kept in sync with the Build-Depends field.
+# As soon as a new arch is bootstrapped, the lists should be updated.
 # See https://bugs.debian.org/954031
 ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el, $(DEB_HOST_ARCH)))
-	BOOTSTRAPLISP := clisp
+ifneq (,$(filter riscv64 sh4, $(DEB_HOST_ARCH)))
+        BOOTSTRAPLISP := /usr/bin/ecl --norc
+else
+	BOOTSTRAPLISP := /usr/bin/clisp -norc
+endif
 endif
 
 ifeq (,$(BOOTSTRAPLISP))
@@ -35,6 +40,7 @@
 	dh $@
 
 override_dh_auto_configure:
+	# See doc/PACKAGING-SBCL.txt
 	echo "\"$(DEB_VERSION_UPSTREAM).debian\"" > version.lisp-expr
 
 override_dh_auto_build:

=== debian/tests/control ===
Test-Command: cd tests && env TEST_SBCL_HOME=/usr/lib/sbcl TEST_SBCL_RUNTIME=/usr/bin/sbcl TEST_SBCL_CORE=/usr/lib/sbcl/sbcl.core ASDF_OUTPUT_TRANSLATIONS="/:${AUTOPKGTEST_TMP}" ./run-tests.sh
Depends: sbcl, gcc, libc6-dev | libc-dev, ed, strace
Restrictions: allow-stderr
